Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

This question already has an answer here:

I honestly am clueless. I am trying to install GNUradio. When I go to install the pre requisites, using sudo apt-get install cmake swig libcppunit-dev python-cheetah doxygen \ libboost-all-dev python-sphinx fftw3-dev python-numpy libqwt-dev \ libusb++-dev libusb-dev libusb-1.0-0-dev libgsl0-dev python-wxgtk2.6 \ qtcreator.

This is what I get back from the terminal:

richard@richard-Satellite-C650:~/SDR$ sudo apt-get install cmake swig libcppunit-dev python-cheetah doxygen \
> libboost-all-dev python-sphinx fftw3-dev python-numpy libqwt-dev \
> libusb++-dev libusb-dev libusb-1.0-0-dev libgsl0-dev python-wxgtk2.6 \
> qtcreator
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'libfftw3-dev' instead of 'fftw3-dev'
doxygen is already the newest version.
libcppunit-dev is already the newest version.
libfftw3-dev is already the newest version.
libgsl0-dev is already the newest version.
libusb-1.0-0-dev is already the newest version.
libusb-dev is already the newest version.
python-cheetah is already the newest version.
python-numpy is already the newest version.
swig is already the newest version.
cmake is already the newest version.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help resolve the situation:

The following packages have unmet dependencies:
 libboost-all-dev : Depends: libboost-dev but it is not going to be installed
                    Depends: libboost-date-time-dev but it is not going to be installed
                    Depends: libboost-filesystem-dev but it is not going to be installed
                    Depends: libboost-graph-dev but it is not going to be installed
                    Depends: libboost-graph-parallel-dev but it is not going to be installed
                    Depends: libboost-iostreams-dev but it is not going to be installed
                    Depends: libboost-math-dev but it is not going to be installed
                    Depends: libboost-mpi-dev but it is not going to be installed
                    Depends: libboost-mpi-python-dev but it is not going to be installed
                    Depends: libboost-program-options-dev but it is not going to be installed
                    Depends: libboost-python-dev but it is not going to be installed
                    Depends: libboost-regex-dev but it is not going to be installed
                    Depends: libboost-serialization-dev but it is not going to be installed
                    Depends: libboost-signals-dev but it is not going to be installed
                    Depends: libboost-system-dev but it is not going to be installed
                    Depends: libboost-test-dev but it is not going to be installed
                    Depends: libboost-thread-dev but it is not going to be installed
                    Depends: libboost-wave-dev but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
richard@richard-Satellite-C650:~/SDR$ 

If anyone could help he with this, that would be much appreciated. Thanks, Richard

As you requested.

richard@richard-Satellite-C650:~$ sudo apt-get update
Ign extras.ubuntu.com precise InRelease                                 
Ign security.ubuntu.com precise-security InRelease                      
Ign archive.canonical.com precise InRelease                   
Ign ca.archive.ubuntu.com precise InRelease                   
Ign ca.archive.ubuntu.com precise-updates InRelease           
Ign ca.archive.ubuntu.com precise-backports InRelease         
Hit extras.ubuntu.com precise Release.gpg                     
Get:1 security.ubuntu.com precise-security Release.gpg [198 B]
Hit archive.canonical.com precise Release.gpg                 
Hit ca.archive.ubuntu.com precise Release.gpg                 
Hit extras.ubuntu.com precise Release                         
Get:2 security.ubuntu.com precise-security Release [49.6 kB]            
Hit archive.canonical.com precise Release                               
Get:3 ca.archive.ubuntu.com precise-updates Release.gpg [198 B]         
Hit ca.archive.ubuntu.com precise-backports Release.gpg                 
Hit extras.ubuntu.com precise/main Sources                              
Hit archive.canonical.com precise/partner i386 Packages                 
Hit ca.archive.ubuntu.com precise Release                               
Hit extras.ubuntu.com precise/main i386 Packages                        
Ign extras.ubuntu.com precise/main TranslationIndex                     
Ign archive.canonical.com precise/partner TranslationIndex              
Get:4 security.ubuntu.com precise-security/main Sources [63.1 kB]
Get:5 ca.archive.ubuntu.com precise-updates Release [49.6 kB]           
Hit ca.archive.ubuntu.com precise-backports Release                     
Get:6 security.ubuntu.com precise-security/restricted Sources [1,950 B] 
Get:7 security.ubuntu.com precise-security/universe Sources [20.9 kB]   
Get:8 security.ubuntu.com precise-security/multiverse Sources [1,380 B] 
Get:9 security.ubuntu.com precise-security/main i386 Packages [233 kB]  
Hit ca.archive.ubuntu.com precise/main Sources                          
Hit ca.archive.ubuntu.com precise/restricted Sources                    
Hit ca.archive.ubuntu.com precise/universe Sources                      
Hit ca.archive.ubuntu.com precise/multiverse Sources                    
Hit ca.archive.ubuntu.com precise/main i386 Packages                    
Hit ca.archive.ubuntu.com precise/restricted i386 Packages              
Hit ca.archive.ubuntu.com precise/universe i386 Packages                
Hit ca.archive.ubuntu.com precise/multiverse i386 Packages              
Hit ca.archive.ubuntu.com precise/main TranslationIndex                 
Hit ca.archive.ubuntu.com precise/multiverse TranslationIndex           
Hit ca.archive.ubuntu.com precise/restricted TranslationIndex           
Hit ca.archive.ubuntu.com precise/universe TranslationIndex             
Get:10 ca.archive.ubuntu.com precise-updates/main Sources [366 kB]      
Get:11 security.ubuntu.com precise-security/restricted i386 Packages [3,968 B]
Get:12 security.ubuntu.com precise-security/universe i386 Packages [67.1 kB]
Get:13 security.ubuntu.com precise-security/multiverse i386 Packages [2,371 B]
Hit security.ubuntu.com precise-security/main TranslationIndex          
Hit security.ubuntu.com precise-security/multiverse TranslationIndex    
Hit security.ubuntu.com precise-security/restricted TranslationIndex    
Hit security.ubuntu.com precise-security/universe TranslationIndex      
Hit security.ubuntu.com precise-security/main Translation-en            
Hit security.ubuntu.com precise-security/multiverse Translation-en      
Hit security.ubuntu.com precise-security/restricted Translation-en      
Ign extras.ubuntu.com precise/main Translation-en_CA                    
Ign archive.canonical.com precise/partner Translation-en_CA             
Hit security.ubuntu.com precise-security/universe Translation-en        
Get:14 ca.archive.ubuntu.com precise-updates/restricted Sources [5,135 B]
Get:15 ca.archive.ubuntu.com precise-updates/universe Sources [78.6 kB] 
Get:16 ca.archive.ubuntu.com precise-updates/multiverse Sources [4,726 B]
Get:17 ca.archive.ubuntu.com precise-updates/main i386 Packages [583 kB]
Ign archive.canonical.com precise/partner Translation-en                
Ign extras.ubuntu.com precise/main Translation-en                       
Get:18 ca.archive.ubuntu.com precise-updates/restricted i386 Packages [9,503 B]
Get:19 ca.archive.ubuntu.com precise-updates/universe i386 Packages [181 kB]
Get:20 ca.archive.ubuntu.com precise-updates/multiverse i386 Packages [10.4 kB]
Hit ca.archive.ubuntu.com precise-updates/main TranslationIndex         
Hit ca.archive.ubuntu.com precise-updates/multiverse TranslationIndex   
Hit ca.archive.ubuntu.com precise-updates/restricted TranslationIndex   
Hit ca.archive.ubuntu.com precise-updates/universe TranslationIndex     
Hit ca.archive.ubuntu.com precise-backports/main Sources                
Hit ca.archive.ubuntu.com precise-backports/restricted Sources          
Hit ca.archive.ubuntu.com precise-backports/universe Sources            
Hit ca.archive.ubuntu.com precise-backports/multiverse Sources          
Hit ca.archive.ubuntu.com precise-backports/main i386 Packages          
Hit ca.archive.ubuntu.com precise-backports/restricted i386 Packages    
Hit ca.archive.ubuntu.com precise-backports/universe i386 Packages      
Hit ca.archive.ubuntu.com precise-backports/multiverse i386 Packages    
Hit ca.archive.ubuntu.com precise-backports/main TranslationIndex       
Hit ca.archive.ubuntu.com precise-backports/multiverse TranslationIndex 
Hit ca.archive.ubuntu.com precise-backports/restricted TranslationIndex 
Hit ca.archive.ubuntu.com precise-backports/universe TranslationIndex   
Hit ca.archive.ubuntu.com precise/main Translation-en_CA                
Hit ca.archive.ubuntu.com precise/main Translation-en                   
Hit ca.archive.ubuntu.com precise/multiverse Translation-en             
Hit ca.archive.ubuntu.com precise/restricted Translation-en             
Hit ca.archive.ubuntu.com precise/universe Translation-en_CA            
Hit ca.archive.ubuntu.com precise/universe Translation-en               
Hit ca.archive.ubuntu.com precise-updates/main Translation-en_CA        
Hit ca.archive.ubuntu.com precise-updates/main Translation-en           
Hit ca.archive.ubuntu.com precise-updates/multiverse Translation-en     
Hit ca.archive.ubuntu.com precise-updates/restricted Translation-en     
Hit ca.archive.ubuntu.com precise-updates/universe Translation-en_CA    
Hit ca.archive.ubuntu.com precise-updates/universe Translation-en       
Hit ca.archive.ubuntu.com precise-backports/main Translation-en         
Hit ca.archive.ubuntu.com precise-backports/multiverse Translation-en   
Hit ca.archive.ubuntu.com precise-backports/restricted Translation-en   
Hit ca.archive.ubuntu.com precise-backports/universe Translation-en     
Fetched 1,732 kB in 23s (73.2 kB/s)                                            
Reading package lists... Done
richard@richard-Satellite-C650:~$

Note: Above I had to remove the http:// from the links as the website will not let me post more then 2 links at one time.

richard@richard-Satellite-C650:~$ sudo apt-get install gnu-radio
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package gnu-radio
richard@richard-Satellite-C650:~$ 
share|improve this question

marked as duplicate by Eliah Kagan, Seth, desgua, hhlp, Eric Carvalho Feb 11 '13 at 13:53

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

1 Answer 1

If you have no special reason to go the cumbersome way you should just use the version that is in the Ubuntu repositories. Just type sudo apt-get install gnuradio - you should get all you need.

share|improve this answer
    
I tried this, doesn't work. I also tried continuing with the install, comes up with an error since this program is not installed. I am really puzzled –  Tractor_god Feb 10 '13 at 21:09
    
I posted them. I had to remove the http:// from all the links in the sudo apt-get update. –  Tractor_god Feb 10 '13 at 21:33
    
@Tractor_god, my bad, the package is called gnuradio. I edited my answer accordingly. –  guntbert Feb 10 '13 at 21:38
    
this is what I got. richard@richard-Satellite-C650:~/SDR$ sudo apt-get install gnu-radio Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package gnu-radio –  Tractor_god Feb 11 '13 at 2:37
    
@Tractor_god, it is gnuradio (no dash in between), see my updated answer please. –  guntbert Feb 11 '13 at 7:58

Not the answer you're looking for? Browse other questions tagged or ask your own question.